Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.persistence.correlation
Class CorrelationKeyInfo

    java.lang.Object
      org.jbpm.persistence.correlation.CorrelationKeyInfo

All Implemented Interfaces:
  org.kie.internal.process.CorrelationKey

    @Entity
    public class CorrelationKeyInfo

extends Object
implements org.kie.internal.process.CorrelationKey

Constructor Summary
`CorrelationKeyInfo()`

Method Summary
`void` | `addProperty(CorrelationPropertyInfo property)`
`boolean` | `equals(Object obj)`
`long` | `getId()`
`String` | `getName()`
`long` | `getProcessInstanceId()`
`List<org.kie.internal.process.CorrelationProperty<?>>` | `getProperties()`
`int` | `hashCode()`
`void` | `setName(String name)`
`void` | `setProcessInstanceId(long processInstanceId)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CorrelationKeyInfo

    public CorrelationKeyInfo()

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.kie.internal.process.CorrelationKey`

### getProperties

    public List<org.kie.internal.process.CorrelationProperty<?>> getProperties()

  Specified by:
    `getProperties` in interface `org.kie.internal.process.CorrelationKey`

### getProcessInstanceId

    public long getProcessInstanceId()

### setProcessInstanceId

    public void setProcessInstanceId(long processInstanceId)

### setName

    public void setName(String name)

### addProperty

    public void addProperty(CorrelationPropertyInfo property)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getId

    public long getId()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.